#!/bin/bash
#author:Cristiano Siqueira
#descricao:Atualiza o PDV para a versão 21L4.
         # Corrige alguns erros e adiciona a
         # função de desconto do PIS e COFIS
         # na base de cálculo do produto.
#Revisao:

fim(){
echo " "
echo " "
echo "╔═════════════════════╗"
echo "║         FIM         ║"
echo "╚═════════════════════╝"
exit
}

user=`whoami`
if [[ $user == "root" ]]; then
    echo "╔═════════════════════════════════════════════╗"
    echo "║    Deseja atualizar ou restaurar o caixa?   ║"
    echo "║      Atualizar (1)       Restaurar (2)      ║"
    echo "╚═════════════════════════════════════════════╝"
    read -p "R: " q1
    if [[ $q1 == 1 ]]; then
        echo " "
        echo "╔═════════════════════════════════════════════╗"
        echo "║ Iniciando processo de atualização do caixa. ║"
        echo "╚═════════════════════════════════════════════╝"
        echo " "
        sleep 2
        echo " "
        echo "╔═════════════════════════════════╗"
        echo "║ Criando backup da pasta sigpdv. ║"
        echo "╚═════════════════════════════════╝"
        echo " "
        sleep 2
        cd /usr/local/
        tar cfvz sigpdv_bkp.tar.gz sigpdv
        cp sigpdv_bkp.tar.gz /recebe/
        echo " "
        echo "╔════════════════════╗"
        echo "║ Atualizando caixa! ║"
        echo "╚════════════════════╝"
        echo " "
        sleep 2
        mkdir /tmp/PDV/
        chmod 777 /tmp/PDV/
        cd /tmp/PDV/
        wget download.sigsolucoes.net.br/produtos/crss/pdvl4/cfg_parametros_data.py
        wget download.sigsolucoes.net.br/produtos/crss/pdvl4/cupom_fiscal.py
        wget download.sigsolucoes.net.br/produtos/crss/pdvl4/version.py
        wget download.sigsolucoes.net.br/produtos/crss/pdvl4/websig_sql_data.py
        wget download.sigsolucoes.net.br/produtos/crss/pdvl4/pos.py
        cp /tmp/PDV/cfg_parametros_data.py /usr/local/sigpdv/models/
        echo "╔════════════════════════════════════╗"
        echo "║ cfg_parametros_data.py Atualizado! ║"
        echo "╚════════════════════════════════════╝"
        sleep 2
        cp /tmp/PDV/cupom_fiscal.py /usr/local/sigpdv/control/
        echo "╔═════════════════════════════╗"
        echo "║ cupom_fiscal.py Atualizado! ║"
        echo "╚═════════════════════════════╝"
        sleep 2
        cp /tmp/PDV/version.py /usr/local/sigpdv/
        echo "╔════════════════════════╗"
        echo "║ version.py Atualizado! ║"
        echo "╚════════════════════════╝"
        sleep 2
        cp /tmp/PDV/websig_sql_data.py /usr/local/sigpdv/web_sig/
        echo "╔════════════════════════════════╗"
        echo "║ websig_sql_data.py Atualizado! ║"
        echo "╚════════════════════════════════╝"
        sleep 2
        cp /tmp/PDV/pos.py /usr/local/sigpdv/
        echo "╔════════════════════╗"
        echo "║ pos.py Atualizado! ║"
        echo "╚════════════════════╝"
        sleep 2
        fim
    elif [[ $q1 == 2 ]]; then
        echo " "
        echo "╔═════════════════════════════════════════════╗"
        echo "║ Iniciando processo de restauração do caixa. ║"
        echo "╚═════════════════════════════════════════════╝"
        echo " "
        sleep 2
        echo " "
        echo "╔═════════════════════════════════╗"
        echo "║ Subindo backup da pasta sigpdv. ║"
        echo "╚═════════════════════════════════╝"
        echo " "
        sleep 2
        cd /usr/local/
        rm -rf sigpdv
        cp /recebe/sigpdv_bkp.tar.gz /usr/local/
        tar xfvz sigpdv_bkp.tar.gz
        fim
    else
        clear
        echo "╔═════════════════════════╗"
        echo "║      Opção errada!      ║"
        echo "╚═════════════════════════╝"
        echo " "
        fim
    fi
else
    clear
    echo "╔══════════════════════════════════════════════════╗"
    echo "║Execute este aplicatvo em usuário Root, por favor.║"
    echo "╚══════════════════════════════════════════════════╝"
    exit
fi
